#products {
    padding: 55px 0;
    padding-top: 0;
}

.first-section {
    padding: 55px 0;
}

.first-section .nav-pills {
    text-align: center;
    justify-content: center;
}

.first-section .nav-pills .nav-link {
    border-radius: 0;
    font-size: 18px;
    color: #000;
}


.first-section .nav-link.active {
    color: #fff;
}



/* Grid */
.grid-parent {
    display: grid;
    height: 100vh;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-column-gap: px;
    grid-row-gap: 0px;
}
.div1 { grid-area: 1 / 1 / 2 / 3;
    height: 50vh;
}
.div2 { grid-area: 2 / 1 / 3 / 5;
    height: 50vh;
}
.div3 { grid-area: 1 / 3 / 2 / 5;
    height: 50vh;
}
.div4 { grid-area: 1 / 5 / 2 / 7;
    height: 50vh;
}
.div5 { grid-area: 2 / 5 / 3 / 7;
    height: 50vh;
}


.div1 img, .div2 img, .div3 img, .div4 img, .div5 img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

#products .section-title {
    margin-bottom: 35px;
}

#top-product {
    padding: 55px 0;
    /* padding-top: 0; */
}

#top-product .section-title {
    line-height: 1.2;
    margin-bottom: 30px;
}

#top-product .top-negative {
    margin-top: -150px;
}

#top-product .list-product {
    margin-bottom: 30px;
}

#parallax-banner {
    position: relative;
    padding: 55px 0;
    padding-top: 0;
    height: 75vh;
}

.position-relative {
    position: relative;
    height: 100%;
}

.position-relative::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: #000;
    opacity: 0.2;
    z-index: 1;
}

#parallax-banner .bg-parallax-image {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    z-index: -1;

}

#parallax-banner .parallax-title {
    font-size: 36px;
    font-weight: 700;
    margin-bottom: 15px;
}

#parallax-banner .parallax-desc {
    font-size: 18px;
}

#parallax-banner .parallax-content {
    display: flex;
    justify-content: center;
    flex-direction: column;
    /* align-items: flex-end; */
    position: relative;
    z-index: 3;
    width: 600px;
    color: #fff;
    padding: 45px 25px;
    height: 100%;
}


.category-productGrid {
    display: grid;
    height: 130vh;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(6, 1fr);
    /* grid-column-gap: 15px; */
    /* grid-row-gap: 15px; */
}


    
.product-div1 { 
    grid-area: 1 / 1 / 3 / 3; 
    height: 30vh;
    padding: 25px;
    padding-left: 0;
}
.product-div2 { 
    grid-area: 3 / 1 / 5 / 2; 
    height: 50vh;
    padding: 25px;
    border: 1px solid #eaeaea;

}
.product-div3 { 
    grid-area: 3 / 2 / 5 / 3; 
    height: 50vh;
    padding: 25px;
    border: 1px solid #eaeaea;

}
.product-div4 { 
    grid-area: 1 / 3 / 5 / 5; 
    /* height: 70vh; */
}

.product-div5 { 
    grid-area: 5 / 1 / 7 / 2; 
    height: 50vh;
    padding: 25px;
    border: 1px solid #eaeaea;

}
.product-div6 { 
    grid-area: 5 / 2 / 7 / 3;
    height: 50vh;
    padding: 25px;
    border: 1px solid #eaeaea;

 }
.product-div7 { 
    grid-area: 5 / 3 / 7 / 4;
    height: 50vh;
    padding: 25px;
    border: 1px solid #eaeaea;

 }
.product-div8 { 
    grid-area: 5 / 4 / 7 / 5;
    height: 50vh;
    padding: 25px;
    border: 1px solid #eaeaea;

 }


#category-product {
    padding-bottom: 55px;
}

.product-div2 img, .product-div3 img, .product-div4 img, .product-div5 img, .product-div6 img, .product-div7 img, .product-div8 img, .product2-div2 img, .product2-div1 img, .product2-div3 img, .product2-div4 img, .product2-div5 img, .product2-div6 img, .product2-div7 img, .product2-div8 img {
    width: 88%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}


.category-productGrid2 {
    display: grid;
    height: 130vh;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(6, 1fr);
    grid-column-gap: 0px;
    grid-row-gap: 0px;
}
    
.product2-div1 { 
    grid-area: 1 / 1 / 5 / 3;
 }
.product2-div2 { 
    grid-area: 1 / 3 / 3 / 5;
    height: 30vh;
    padding: 25px;
    padding-left: 0;
 }
.product2-div3 { 
    grid-area: 3 / 3 / 5 / 4;
    height: 50vh;
    padding: 25px;
    border: 1px solid #eaeaea;
 }
.product2-div4 { 
    grid-area: 3 / 4 / 5 / 5;
    height: 50vh;
    padding: 25px;
    border: 1px solid #eaeaea;
 }
.product2-div5 { 
    grid-area: 5 / 1 / 7 / 2;
    height: 50vh;
    padding: 25px;
    border: 1px solid #eaeaea;
 }
.product2-div6 { 
    grid-area: 5 / 2 / 7 / 3;
    height: 50vh;
    padding: 25px;
    border: 1px solid #eaeaea;
 }
.product2-div7 { 
    grid-area: 5 / 3 / 7 / 4;
    height: 50vh;
    padding: 25px;
    border: 1px solid #eaeaea;
 }
.product2-div8 { 
    grid-area: 5 / 4 / 7 / 5;
    height: 50vh;
    padding: 25px;
    border: 1px solid #eaeaea;
 }




/* .category-productGrid {
    display: grid;
    height: 70vh;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(4, 1fr);
    grid-column-gap: 15px;
    grid-row-gap: 15px;
}
        
.product-div1 { 
    grid-area: 1 / 1 / 3 / 3;
    height: 35vh;

}
.product-div2 { 
    grid-area: 3 / 1 / 5 / 3;
    height: 35vh;

}
.product-div3 { 
    grid-area: 1 / 3 / 5 / 5;
    height: 35vh;

} */
.category-productBox {
    margin-bottom: 45px;
}
#category-product1 .category-name, .category-detail .category-name {
    font-size: 34px;
    font-weight: 700;
}

#category-product .category-type, #category-product2 .category-type {
    font-size: 16px;
    font-weight: 500;
    line-height: 1;
}

#category-product .category-detail {
    padding: 15px 20px;
    padding-left: 0;
    width: 85%;
}

#category-product2 .category-detail  {
    padding: 15px 20px;
    padding-left: 45px;
    width: 85%;
}

.category-productDesc {
    text-align: center;
}

.category-productDesc .productName {
    font-family: 20px;
    font-weight: 700;
    margin-bottom: 7px;
}

#category-product .category-detail, #category-product .category-productImg,  #category-product2 .category-productImg {
    height: 100%;
}

#banner-category {
    padding-bottom: 55px;
}

#category-product2 {
    padding-bottom: 55px;
}

.all-categoryLink {
    margin-top: -150px;
}

.categoryLink-detail {
    padding: 5px 25px;
    font-size: 16px;
}

.categoryLink-button .dark-border-button {
    margin: 10px 0;
}

#categories .list-product {
    margin-bottom: 20px;
}

#categories .categories-title {
    font-size: 42px;
    text-align: center;
    margin-bottom: 30px;
}

#banner-category .banner-image {
    margin-bottom: 35px;
}


@media only screen and (max-width: 1300px) {
    #category-product .category-detail, .product-div1, .product2-div2 {
        padding: 0;
    }
    #category-product2 .category-detail {
        padding: 0;
        padding-left: 45px;
    }

    #category-product .category-name, #category-product2 .category-name {
        font-size: 28px;
    }

    .product-div2 img, .product-div3 img, .product-div5 img, .product-div6 img, .product-div7 img, .product-div8 img {
        width: 80%;
        height: auto;
        margin: 0 auto;
    }

    .product2-div2 img, .product2-div3 img, .product2-div4 img, .product2-div5 img, .product2-div6 img, .product2-div7 img, .product2-div8 img {
        width: 90%;
        height: auto;
        margin: 0 auto;
    }

}

@media only screen and (max-width: 1080px) {

    #parallax-banner {
        height: auto;
    }

    #category-product .category-detail {
        padding: 10px 0px;
    }

    .product-div2 img, .product-div3 img, .product-div5 img, .product-div6 img, .product-div7 img, .product-div8 img, .product2-div2 img, .product2-div3 img, .product2-div5 img, .product2-div6 img, .product2-div7 img, .product2-div8 img {
        width: 73%;
    }

    #parallax-banner .parallax-content {
        padding: 55px 25px;
    }

    .category-productGrid, .category-productGrid2 {
        height: 55vh;
    }

    .product-div1, .product2-div2 {
        height: auto;
    }
    .product-div2, .product-div3, .product-div5, .product-div6, .product-div7, .product-div8, .product2-div3, .product2-div4, .product2-div5, .product2-div6, .product2-div7, .product2-div8 {
        height: 20vh;
        padding: 15px;
    }

    .category-productDesc .productName {
        line-height: 1.4;
    }

    #category-productGrid2, .category-productImg {
        margin-bottom: 20px;
    }

    #top-product .text-size-48 {
        font-size: 42px;
    }

    #top-product .section-title {
        margin-bottom: 40px;
    }

} 

@media only screen and (max-width: 992px) {
    .category-productGrid {
        display: grid;
        height: 112vh;
        grid-template-columns: repeat(3, 1fr);
        /* grid-template-rows: repeat(6, 1fr); */
        grid-template-rows: auto;
        grid-column-gap: 0px;
        grid-row-gap: 0px;
    }
        
    .product-div1 { 
        grid-area: 4 / 1 / 5 / 4;
        height: 18vh;
     }
    .product-div2 { 
        grid-area: 5 / 1 / 7 / 2;
        height: 27vh;
     }
    .product-div3 { 
        grid-area: 5 / 2 / 7 / 3;
        height: 27vh;
     }
    .product-div4 { 
        grid-area: 1 / 1 / 4 / 4;
        height: 40vh;
     }
    .product-div5 { 
        grid-area: 5 / 3 / 7 / 4;
        height: 27vh;
     }


    .product-div6 { grid-area: 7 / 1 / 9 / 2; 
        height: 27vh;
    }
    .product-div7 { grid-area: 7 / 2 / 9 / 3; 
        height: 27vh;
    }
    .product-div8 { grid-area: 7 / 3 / 9 / 4; 
        height: 27vh;
    }


    #category-product .category-detail {
        padding: 20px 0;
        padding-top: 35px;
    }


    .category-productGrid2 {
        display: grid;
        height: 112vh;
        grid-template-columns: repeat(3, 1fr);
        /* grid-template-rows: repeat(6, 1fr); */
        grid-template-rows: auto;
        grid-column-gap: 0px;
        grid-row-gap: 0px;
    }
        
    .product2-div1 { 
        grid-area: 1 / 1 / 4 / 4;
        height: 40vh;
     }
    .product2-div2 { 
        grid-area: 4 / 1 / 5 / 4;
        height: 18vh;
     }
    .product2-div3 { 
        grid-area: 5 / 1 / 7 / 2;
        height: 27vh;
     }
    .product2-div4 { 
        grid-area: 5 / 2 / 7 / 3;
        height: 27vh;
     }
    .product2-div5 { 
        grid-area: 5 / 3 / 7 / 4;
        height: 27vh;
     }

     .product2-div6 { grid-area: 7 / 1 / 9 / 2; 
        height: 27vh;
    }
    .product2-div7 { grid-area: 7 / 2 / 9 / 3; 
        height: 27vh;
    }
    .product2-div8 { grid-area: 7 / 3 / 9 / 4; 
        height: 27vh;
    }

     #category-product2 .category-detail {
        padding: 0;
        padding-top: 45px;
        padding-bottom: 20px;
     }

     footer {
        margin-top: 30px;
     }

     #about {
        padding-bottom: 45px;
     }
     
     
     /*.product2-div2 img, .product2-div3 img, .product2-div4 img, .product2-div5 img, .product2-div6 img, .product2-div7 img, .product2-div8 img {*/
     /*    width: 73%;*/
     /*}*/
     
     .product-div2 img, .product-div3 img, .product2-div4 img, .product-div5 img, .product-div6 img, .product-div7 img, .product-div8 img, .product2-div2 img, .product2-div3 img, .product2-div5 img, .product2-div6 img, .product2-div7 img, .product2-div8 img {
         width: 75%;
     }

}

@media only screen and (max-width: 600px) {
    #top-product {
        padding-top: 0;
    }

    #top-product .top-negative {
        margin-top: 0;
    }

    .all-categoryLink {
        margin-top: 0;
    }

    #parallax-banner .parallax-content {
        width: 100%;
    }

    #parallax-banner .parallax-title {
        line-height: 1.5;
        font-size: 26px;
    }

    #parallax-banner .parallax-desc {
        font-size: 16px;
    }

    .category-productGrid2 {
        /* height: 80vh;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(6, 1fr);
        grid-column-gap: 0px;
        grid-row-gap: 0px; */
        height: auto;
        display: flex;
        flex-wrap: wrap;
    }
        
    .product2-div1 { 
        /* grid-area: 1 / 1 / 3 / 3; 
        height: 30vh; */
        height: auto;
        width: 100%;
        flex-basis: 100%;
        
    }
    .product2-div2 { 
        /* grid-area: 3 / 1 / 5 / 3; 
        height: 23vh; */
        height: auto;
        flex-basis: 100%;

    }
    .product2-div3 { 
        /* grid-area: 5 / 1 / 7 / 2; 
        height: 27vh; */
        height: auto;
        flex-basis: 50%;

    }
    .product2-div4, .product2-div5, .product2-div6, .product2-div7, .product2-div8 { 
        /* grid-area: 5 / 2 / 7 / 3; 
        height: 27vh; */
        flex-basis: 50%;
        height: auto;

    }


    #category-product .category-name, #category-product2 .category-name {
        font-size: 18px;
    }

    #category-product2 .category-detail {
        width: 100%;
        padding: 20px;
    }

    .category-productGrid {
        height: auto;
        display: flex;
        flex-wrap: wrap;
        /* grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(6, 1fr);
        grid-column-gap: 0px;
        grid-row-gap: 0px; */
    }

    .product-div1 { 
        /* grid-area: 3 / 1 / 5 / 3; 
        height: 25vh; */
        height: auto;
        flex-basis: 100%;
        order: 2;
    }
    .product-div2 { 
        /* grid-area: 5 / 1 / 7 / 2; 
        height: 30vh; */
        height: auto;
        flex-basis: 50%;
        order: 3;

    }
    .product-div3 { 
        /* grid-area: 5 / 2 / 7 / 3; 
        height: 30vh; */
        height: auto;
        flex-basis: 50%;
        order: 4;
    }

    .product-div5 { 
        /* grid-area: 5 / 2 / 7 / 3; 
        height: 30vh; */
        height: auto;
        flex-basis: 50%;
        order: 5;
    }

    .product-div6 { 
        /* grid-area: 5 / 2 / 7 / 3; 
        height: 30vh; */
        height: auto;
        flex-basis: 50%;
        order: 6;
    }

    .product-div7 { 
        /* grid-area: 5 / 2 / 7 / 3; 
        height: 30vh; */
        height: auto;
        flex-basis: 50%;
        order: 7;
    }
    .product-div8 { 
        /* grid-area: 5 / 2 / 7 / 3; 
        height: 30vh; */
        height: auto;
        flex-basis: 50%;
        order: 8;
    }

    .product-div4 { 
        /* grid-area: 1 / 1 / 3 / 3; 
        height: 30vh; */
        height: auto;
        flex-basis: 100%;
        order: 1;
    }


    #top-product .text-size-48 {
        font-size: 32px;
        padding-left: 10px;
    }

    .categoryLink-detail {
        padding: 5px 17px;
    }

    #category-product .category-detail {
        width: 100%;
    }


    #categories .categories-title {
        font-size: 32px;
        line-height: 1.2;
        margin-bottom: 35px;
    }

    #banner-category {
        padding-bottom: 30px;
    }

    #video-bg {
        height: 85vh;
    }

    #video-bg video {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .landing-banner .container .landing-content {
        position: relative;
        top: 0;
        left: 0;
        transform: translate(0%, 0%);
        width: 100%;
    }

    .landing-banner .landing-logo {
        width: 200px;
    }


}

/* @media only screen and (max-width: 350px) {
    .category-productGrid2 {
        height: 110vh;
    }
        
    .product2-div1 { 
        height: 35vh;
    }
    .product2-div2 { 
        height: 35vh;
        margin-bottom: 15px;
    }
    .product2-div3 { 
        height: 40vh;
        padding: 20px 15px;
    }
    .product2-div4 { 
        height: 40vh;
        padding: 20px 15px;
    }

    .category-productGrid {
        height: 120vh;
    }

    .product-div1 { 
        grid-area: 3 / 1 / 5 / 3; 
        height: 35vh;
    }
    .product-div2 { 
        grid-area: 5 / 1 / 7 / 2; 
        height: 40vh;

    }
    .product-div3 { 
        grid-area: 5 / 2 / 7 / 3; 
        height: 40vh;

    }
    .product-div4 { 
        grid-area: 1 / 1 / 3 / 3; 
        height: 40vh;
    }

    #about .about-content h1 {
        font-size: 22px;
        line-height: 1.5;
        margin-bottom: 15px;
        margin-top: 15px;
    }

    .text-size-16 {
        font-size: 14px;
    }

} */